aboutsummaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
authorlemon <lsof@mailbox.org>2026-04-12 16:33:51 +0200
committerlemon <lsof@mailbox.org>2026-04-12 16:33:51 +0200
commitdb576fab9f4eed8591c332d8353eed26c517ff36 (patch)
tree949da130a466d8798b973ebcea1d793c7c96a5c4
parent5886346cf680c5011de282d00c6f0b2d10431171 (diff)
test/csmith.sh: remove hardcoded memory limit
This was a temporary workaround before d40371b615
-rwxr-xr-xtest/csmith.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/test/csmith.sh b/test/csmith.sh
index d159033..1c02b0e 100755
--- a/test/csmith.sh
+++ b/test/csmith.sh
@@ -31,7 +31,7 @@ run_test() {
csmith --no-packed-struct > "$src" 2>/dev/null || return 1
- if ! prlimit --as=1073741824 ../antcc $CFLAGS -I"$csmith_path" -w "$src" -o "$tmp1" -lm; then
+ if ! ../antcc $CFLAGS -I"$csmith_path" -w "$src" -o "$tmp1" -lm; then
ncomperr=$((ncomperr+1))
echo "FAIL (compile): test $num"
mv "$src" "$WORKDIR/$pid-fail_compile_$num.c"